db4o |

# ExtObjectServer.Backup Method

backs up the database file used by the ObjectServer.

void Backup(
string path
);

#### Parameters

path
  a fully qualified path

#### Remarks

backs up the database file used by the ObjectServer.
While the backup is running, the ObjectServer can continue to be used. Changes that are made while the backup is in progress, will be applied to the open ObjectServer and to the backup.
While the backup is running, the ObjectContainer should not be closed.
If a file already exists at the specified path, it will be overwritten.

#### See Also

ExtObjectServer Interface | com.db4o.ext Namespace